package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author jiaohongyang
 */
@AllArgsConstructor
public enum CollectUploadStatusEnum {
    /**
     * 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）
     */

    A("0", "未上传"), B("1", "已发送上传"), C("2", "上传成功"), D("3", "上传失败");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (CollectUploadStatusEnum materialEnum : CollectUploadStatusEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
